Groovy 1.7.0

## groovy.util.slurpersupport
Class NodeIterator

    java.lang.Object
      groovy.util.slurpersupport.NodeIterator

All Implemented Interfaces:
  Iterator

    class NodeIterator
    extends Object

author:
  John Wilson

Constructor Summary
`NodeIterator(Iterator iter)`

Method Summary
`protected Object` | `getNextNode(Iterator iter)`
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NodeIterator

    public NodeIterator(Iterator iter)

Method Detail

### getNextNode

    protected Object getNextNode(Iterator iter)

### hasNext

    public boolean hasNext()

### next

    public Object next()

### remove

    public void remove()

Copyright © 2003-2009 The Codehaus. All rights reserved.